#
# For a description of the syntax of this configuration file,
# see misc/tools/kconfig-language.txt.
#

if ARCH_BOARD_STM3240G_EVAL
config ARCH_LEDS
	bool "NuttX LED support"
	default n
	---help---
		"Support control of board LEDs by NuttX to indicate system state"

config ARCH_BUTTONS
	bool "Button support"
	default n
	---help---
		"Support interfaces to use buttons provided by the board."

config STM3240G_LCD
	bool "Select support for the STM3210E-EVAL LCD"
	default y
	depends on STM32_FSMC

choice
	prompt "STM3240G-EVAL LCD Orientation"
	default LCD_LANDSCAPE
	depends on STM3240G_LCD

config LCD_LANDSCAPE
	bool "320x240 landscape display"
	---help---
		Define for 320x240 display "landscape" support. Default is this 320x240
		"landscape" orientation.

		For the STM3240G-EVAL board, the edge opposite from the row of buttons
		is used as the top of the display in this orientation.

config LCD_RLANDSCAPE
	bool "320x240 reverse landscape display"
	---help---
		Define for 320x240 display "reverse landscape" support. Default is this 320x240
		"landscape" orientation.

		For the STM3240G-EVAL board, the edge next to the row of buttons
		is used as the top of the display in this orientation.

config LCD_PORTRAIT
	bool "240x320 portrait display"
	---help---
		Define for 240x320 display "portrait" orientation support.  In this
		orientation, the STM3210E-EVAL's LCD ribbon cable is at the bottom of
		the display. Default is 320x240 "landscape" orientation.

		In this orientation, the top of the display is to the left
		of the buttons (if the board is held so that the buttons are at the
		botton of the board).

config LCD_RPORTRAIT
	bool "240x320 reverse portrait display"
	---help---
		Define for 240x320 display "reverse portrait" orientation support.  In
		this orientation, the STM3210E-EVAL's LCD ribbon cable is at the top
		of the display. Default is 320x240 "landscape" orientation.

		In this orientation, the top of the display is to the right
		of the buttons (if the board is held so that the buttons are at the
		botton of the board).

endchoice

config LCD_RDSHIFT
	int "LCD data shift"
	default 5
	depends on STM3240G_LCD
	---help---
		When reading 16-bit gram data, there appears to be a shift in the returned
		data.  This value fixes the offset.  Default 5.

config CONFIG_STM32_ILI9320_DISABLE
	bool "Disable LCD_ILI9320 (and LCD_ILI9321) support"
	default n
	depends on STM3240G_LCD
	---help---
		The LCD driver dynamically selects the LCD based on the reported LCD
		ID value.  However, code size can be reduced by suppressing support for
		individual LCDs using this option.

config CONFIG_STM32_ILI9325_DISABLE
	bool "Disable LCD_ILI9325 support"
	default n
	depends on STM3240G_LCD
	---help---
		The LCD driver dynamically selects the LCD based on the reported LCD
		ID value.  However, code size can be reduced by suppressing support for
		individual LCDs using this option

endif
